package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 列表显示隐藏控制枚举
 */
@AllArgsConstructor
@Getter
public enum ETheLable {
    /**
     * 会员编号
     */
    TITEL_1(1, "会员编号", "memberCode", "true", EnumsPrefixConstants.THELABLE + "1"),
    /**
     * 会员姓名
     */
    TITEL_2(2, "会员姓名", "memberName", "true", EnumsPrefixConstants.THELABLE + "2"),
    /**
     * 联系方式
     */
    TITEL_3(3, "联系方式", "phone", "true", EnumsPrefixConstants.THELABLE + "3"),

    /**
     * 推荐编号
     */
    TITEL_4(4, "推荐编号", "parMemberCode", "false", EnumsPrefixConstants.THELABLE + "4"),
    /**
     * 推荐姓名
     */
    TITEL_5(5, "推荐姓名", "parMemberName", "false", EnumsPrefixConstants.THELABLE + "5"),
    /**
     * 安置编号
     */
    TITEL_6(6, "安置编号", "placeMemberCode", "false", EnumsPrefixConstants.THELABLE + "6"),
    /**
     * 安置姓名
     */
    TITEL_7(7, "安置姓名", "placeMemberName", "false", EnumsPrefixConstants.THELABLE + "7"),
    /**
     * 真实奖衔
     */
    TITEL_8(8, "真实奖衔", "pkAwardsVal", "true", EnumsPrefixConstants.THELABLE + "8"),
    /**
     * 订单状态
     */
    TITEL_9(9, "订单状态", "orderSourceVal", "true", EnumsPrefixConstants.THELABLE + "9"),
    /**
     * 服务中心编号
     */
    TITEL_10(10, "服务中心编号", "centerMemberCode", "false", EnumsPrefixConstants.THELABLE + "10"),
    /**
     * 服务中心姓名
     */
    TITEL_11(11, "服务中心姓名", "centerMemberName", "false", EnumsPrefixConstants.THELABLE + "11"),
    /**
     * 注册等级
     */
    TITEL_12(12, "注册等级", "registerName", "false", EnumsPrefixConstants.THELABLE + "12"),
    /**
     * 结算等级
     */
    TITEL_13(13, "结算等级", "settleName", "false", EnumsPrefixConstants.THELABLE + "13"),
    /**
     * 注册金额
     */
    TITEL_14(14, "注册金额", "consumeMoney", "false", EnumsPrefixConstants.THELABLE + "14"),
    /**
     * 注册业绩
     */
    TITEL_15(15, "注册业绩", "consumeAchieve", "false", EnumsPrefixConstants.THELABLE + "15"),
    /**
     * 隶属体系
     */
    TITEL_16(16, "隶属体系", "vertexName", "false", EnumsPrefixConstants.THELABLE + "16"),
    /**
     * 隶属团队
     */
    TITEL_17(17, "隶属团队", "teamName", "false", EnumsPrefixConstants.THELABLE + "17"),
    /**
     * 注册权限
     */
    TITEL_18(18, "注册权限", "registerAuthorityVal", "false", EnumsPrefixConstants.THELABLE + "18"),
    /**
     * 实名认证
     */
    TITEL_19(19, "实名认证", "isRealNameVal", "false", EnumsPrefixConstants.THELABLE + "19"),
    /**
     * 营业执照
     */
    TITEL_20(20, "营业执照", "isBusLicenseVal", "false", EnumsPrefixConstants.THELABLE + "20"),
    /**
     * 创客空间
     */
    TITEL_21(21, "创客空间", "isMakerSpaceVal", "false", EnumsPrefixConstants.THELABLE + "12"),
    /**
     * 账户状态
     */
    TITEL_22(22, "账户状态", "accountStatusVal", "false", EnumsPrefixConstants.THELABLE + "22"),
    /**
     * 钱包状态
     */
    TITEL_23(23, "钱包状态", "walletStatusVal", "false", EnumsPrefixConstants.THELABLE + "23"),
    /**
     * 收益状态
     */
    TITEL_24(24, "收益状态", "incomeStatusVal", "false", EnumsPrefixConstants.THELABLE + "24"),
    /**
     * 创建时间
     */
    TITEL_25(25, "创建时间", "creationTime", "true", EnumsPrefixConstants.THELABLE + "25"),
    /**
     * 支付时间
     */
    TITEL_26(26, "支付时间", "payTime", "true", EnumsPrefixConstants.THELABLE + "26"),
    /**
     * 变更次数
     */
    TITEL_27(27, "变更次数", "changeNumber", "true", EnumsPrefixConstants.THELABLE + "27"),
    /**
     * 修改直推次数
     */
    TITEL_28(28, "修改直推次数", "editNumber", "true", EnumsPrefixConstants.THELABLE + "28"),


    ;

    /**
     * key键
     */
    private final int keyId;
    /**
     * 表头名称
     */
    private final String titel;
    /**
     * 对应字段
     */
    private final String prop;
    /**
     * 初始化显示隐藏
     */
    private final String show;

    /**
     * 国际化翻译key值
     */
    private final String key;

}
